PDA

View Full Version : check for .NET 3.5 OR 4.0



submission_service
06-20-2017, 10:33 AM
Hi guys,

after searching for hous I'm wondering if I'm the only who has this issue:

is it possible to have 2 prerequisite (or conditions?) combined by OR ?

I'd like to execute the install process only when .NET 3.5 OR 4.x (or both) are installed on the target system, this means:

3.5 ONLY- OK, continue setup
4.x ONLY - OK, continue setup
3.5 AND 4.x (Both)- OK, continue setup
NO 3.5 and NO 4.x - NOT OK, launch .NET 4 installer (or just warn user... but don't conitnue setup until any .of these 2 NET versions is installed )

Thanks!

chad.petersen
06-21-2017, 09:41 AM
Prerequisites are handled by the Setup.exe. They are checkboxes so that naturally implies and AND situation.

Conditions apply to the MSI so they can't be used for Pre-requisites.

The easy road would be to have it install both and just go on with life.

Or there is the hard road.

Chad